<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="el" prefix="og: http://ogp.me/ns#"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="el" prefix="og: http://ogp.me/ns#"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="el" prefix="og: http://ogp.me/ns#"> <![endif]-->
<!--[if IE 9 ]><html class="ie ie9" lang="el" prefix="og: http://ogp.me/ns#"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html class=" js flexbox rgba hsla multiplebgs backgroundsize borderimage borderradius boxshadow textshadow opacity cssanimations csscolumns cssgradients no-cssreflections csstransforms csstransforms3d csstransitions fontface generatedcontent" prefix="og: http://ogp.me/ns#" lang="el"><!--<![endif]--><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<title>DB Schema to OWL | Home Page</title>
	
	<link rel="stylesheet" href="index_files/language-selector.css" type="text/css" media="all">
	
	<!-- jQuery -->
	<script src="JS/jquery/jquery-1.11.0.min.js"></script>
	<script src="JS/jquery/jquery-migrate-1.2.1.min.js"></script>
	<!-- jQuery UI -->
	<link rel="stylesheet" type="text/css" href="JS/jquery-ui/jquery-ui.min.css" />
	<script src="JS/jquery-ui/jquery-ui.min.js"></script>
	<!-- jsTree -->
	<link rel="stylesheet" type="text/css" href="JS/jstree/style.min.css" />
	<script src="JS/jstree/jstree.min.js"></script>
	
	<meta charset="UTF-8">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="http://samosbuilding.gr/newsamos/xmlrpc.php">
	<link rel="alternate" type="application/rss+xml" title="Samos Building" href="http://samosbuilding.gr/feed/">
	<link rel="alternate" type="application/atom+xml" title="Samos Building" href="http://samosbuilding.gr/feed/atom/">
	<!--[if lt IE 8]>
		<div style=' clear: both; text-align:center; position: relative;'>
			<a href="http://www.microsoft.com/windows/internet-explorer/default.aspx?ocid=ie6_countdown_bannercode">\
				<img src="http://storage.ie6countdown.com/assets/100/images/banners/warning_bar_0000_us.jpg" border="0" alt="" />
			</a>
		</div>
	<![endif]-->
	<link rel="stylesheet" type="text/css" media="all" href="index_files/normalize.css">
	<link rel="stylesheet" type="text/css" media="all" href="index_files/style.css">
	<link rel="stylesheet" type="text/css" media="all" href="index_files/prettyPhoto.css">
	<link rel="stylesheet" type="text/css" media="all" href="index_files/grid.css">

<link rel="stylesheet" id="wpml-cms-nav-css-css" href="index_files/navigation.css" type="text/css" media="all">
<link rel="stylesheet" id="cms-navigation-style-base-css" href="index_files/cms-navigation-base.css" type="text/css" media="screen">
<link rel="stylesheet" id="cms-navigation-style-css" href="index_files/cms-navigation.css" type="text/css" media="screen">
<link rel="stylesheet" id="contact-form-7-css" href="index_files/styles.css" type="text/css" media="all">
<link rel="stylesheet" id="digg-digg-css" href="index_files/diggdigg-style.css" type="text/css" media="screen">
<link rel="stylesheet" id="googlefonts-css" href="index_files/css.css" type="text/css" media="all">
<link rel="stylesheet" id="wp-pagenavi-css" href="index_files/pagenavi-css.css" type="text/css" media="all">
<!--
<script type="text/javascript" src="index_files/jquery-1.js"></script>
<script type="text/javascript" src="index_files/modernizr.js"></script>
<script type="text/javascript" src="index_files/superfish.js"></script>
<script type="text/javascript" src="index_files/jquery_004.js"></script>
<script type="text/javascript" src="index_files/jquery_009.js"></script>
<script type="text/javascript" src="index_files/jquery_006.js"></script>
<script type="text/javascript" src="index_files/jquery.js"></script>
<script type="text/javascript" src="index_files/jquery_005.js"></script>
<script type="text/javascript" src="index_files/cufon-yui.js"></script>
-->
<style type="text/css">cufon{text-indent:0!important;}@media screen,projection{cufon{display:inline!important;display:inline-block!important;position:relative!important;vertical-align:middle!important;font-size:1px!important;line-height:1px!important;}cufon cufontext{display:-moz-inline-box!important;display:inline-block!important;width:0!important;height:0!important;overflow:hidden!important;text-indent:-10000in!important;}cufon canvas{position:relative!important;}}@media print{cufon{padding:0!important;}cufon canvas{display:none!important;}}
</style>
<!--
<script type="text/javascript" src="index_files/Bebas_Neue_400.js"></script>
<script type="text/javascript" src="index_files/cufon-replace.js"></script>
<script type="text/javascript" src="index_files/swfobject.js"></script>
<script type="text/javascript" src="index_files/jquery_003.js"></script>
<script type="text/javascript" src="index_files/jquery_010.js"></script>
<script type="text/javascript" src="index_files/jquery_007.js"></script>
<script type="text/javascript" src="index_files/audio.js"></script>
<script type="text/javascript" src="index_files/jquery_008.js"></script>
<script type="text/javascript" src="index_files/custom.js"></script>
-->
<link rel="EditURI" type="application/rsd+xml" title="RSD" href="http://samosbuilding.gr/newsamos/xmlrpc.php?rsd">
<link rel="wlwmanifest" type="application/wlwmanifest+xml" href="http://samosbuilding.gr/newsamos/wp-includes/wlwmanifest.xml"> 
<meta name="generator" content="WordPress 3.9">
<link rel="shortlink" href="http://samosbuilding.gr/">
<meta name="generator" content="WPML ver:3.1.6 stt:13,1;0">
<link rel="alternate" hreflang="el" href="http://samosbuilding.gr/">
<link rel="alternate" hreflang="en-US" href="http://samosbuilding.gr/en/">
<style type="text/css" media="screen">
	h1{ font-family:"Didact Gothic", arial, sans-serif;}
	h2{ font-family:"Didact Gothic", arial, sans-serif;}
	h3{ font-family:"Didact Gothic", arial, sans-serif;}
	h4{ font-family:"Didact Gothic", arial, sans-serif;}
	h5{ font-family:"Didact Gothic", arial, sans-serif;}
	h6{ font-family:"Didact Gothic", arial, sans-serif;}
	.algtable { border: 1px solid black; }
	.algtable th, .algtable td {min-width: 150px; text-align: center; padding: 5px; border: 1px dashed gray; }
	.algtable th { background-color: lightgray; }
	ol { padding-left: 15px; }
	.exportUL, .exportUL li { padding-left: 25px; }
</style>
  
  <script type="text/javascript">
/*
  	// initialise plugins
		jQuery(function(){
			// main navigation init
			jQuery('ul.sf-menu').superfish({
				delay:       1000, 		// one second delay on mouseout 
				animation:   {opacity:'show',height:'show'}, // fade-in and slide-down animation
				speed:       'normal',  // faster animation speed 
				autoArrows:  false,   // generation of arrow mark-up (for submenu) 
				dropShadows: false   // drop shadows (for submenu)
			});
			
			// prettyphoto init
			jQuery("a[rel^='prettyPhoto']").prettyPhoto({
				animation_speed:'normal',
				slideshow:5000,
				autoplay_slideshow: false,
				overlay_gallery: true,
				social_tools: false
			});
			
		});
*/
    $(document).ready(function () {
        $('#tablesDivButton').click(function(){
			$("#dburlA").val( $("#dburlID").val() );
			$("#usernameA").val( $("#usernameID").val() );
			$("#passwordA").val( $("#passwordID").val() );
            $('#tablesTreeDiv').html("<p>Please wait...</p>");
            $.post(
                    "DbExportServlet",
                    {   dbUrl: $("#dburlID").val(),
                        dbUsername: $("#usernameID").val(),
                        dbPassword: $("#passwordID").val(),
                        action: "DB-TABLES",
                        json: {}
                    },
                    function(jsonResponse){ 
                        $('#tablesTreeDiv').empty();
                        $('#tablesTreeDiv').jstree(jsonResponse);
                        $('#tablesTreeDiv').on('changed.jstree', function (e, data) {
                            var i, j, tablesArray = [];
                            $('#selectedTablesDiv ul').empty();
                            for(i = 0, j = data.selected.length; i < j; i++) {
								var select = data.instance.get_node(data.selected[i]).original;
								if ( select.id != "TwithPK" && select.id != "TwithoutPK" ) {
									$('#selectedTablesDiv ul').append("<li>" + select.text + " (Table) </li>");
									tablesArray.push(select.text);
								}
                            }
                            var json = { tablesJA: tablesArray };
                            $("#jsonA").val(JSON.stringify( json ));
                        });
                    });
        });

        $('#tablesFieldsDivButton').click(function(){
			$("#dburlB").val( $("#dburlID").val() );
			$("#usernameB").val( $("#usernameID").val() );
			$("#passwordB").val( $("#passwordID").val() );
            $.post(
                    "DbExportServlet",
                    {   dbUrl: $("#dburlID").val(),
                        dbUsername: $("#usernameID").val(),
                        dbPassword: $("#passwordID").val(),
                        action: "DB-TABLES-FIELDS",
                        json: {}
                    },
                    function(jsonResponse){
                        $('#tablesFieldsTreeDiv').empty();
                        $('#tablesFieldsTreeDiv').jstree(jsonResponse);
                        $('#tablesFieldsTreeDiv').on('changed.jstree', function (e, data) {
                            var i, j, tablesArray = [];
                            $('#selectedTablesFieldsDiv ul').empty();
                            for(i = 0, j = data.selected.length; i < j; i++) {
								var select = data.instance.get_node(data.selected[i]).original;
								if ( typeof(select.table) != "undefined" ) {
									$('#selectedTablesFieldsDiv ul').append("<li>" + select.table + " (Table) - " + select.text + " (Field) </li>");
									tablesArray.push( { table: select.table, field: select.text } );
								}
                            }
							var json = { tablesJA: tablesArray };
                            $("#jsonB").val(JSON.stringify( json ));
                        });
                    });
        });
/*
        $('#exportTablesOntoButton').click(function(){
            $.post(
                    "DbExportServlet",
                    {   dbUrl: $("#dburlID").val(),
                        dbUsername: $("#usernameID").val(),
                        dbPassword: $("#passwordID").val(),
                        action: "DB-TABLES-VOCAB-ONTOLOGY",
                        json: { "onto-label": "test", "onto-uri" : "uri", "tablesJA" : $('#selectedTablesDiv input[type=hidden]').va() }
                    },
                    function(jsonResponse){});
        });
*/
    });


  </script>
  
  <!-- Custom CSS -->
	  <style type="text/css">
  	#contactFormSamos {
   position:absolute;
   top: 5px;
   right:5px;
}

input[type="text"], textarea {
	width: 298px;
	max-width:298px;
	min-width:298px;
}

.wpcf7-form textarea {
	width: 300px;
	max-width:300px;
	min-width:300px;
	height:120px;
	min-height:120px;
}

.beForeContentArea {
	padding-bottom: 15px;
}

.beForeContentAreaGreenTab {
	padding-bottom: 15px;
	color: #9fb32b;
}

#greenjob p a {
        color: #9fb32b;
}

.sf-menu li li a {
        text-transform: none;
        text-decoration: none;
        font-size: 16px;
        line-height: 20px;
}


#header .container_24.clearfix , #slider-wrapper .container_24.clearfix , .container_24.primary_content_wrap.clearfix {
background: url("http://kokka-fashion.gr/samosbuilding/wp-content/uploads/2014/04/body-tail.gif") 0px 0px repeat white;
border-left: 1px dashed #FAFAFA;
border-right: 1px dashed #FAFAFA;
padding-left: 20px;
padding-right: 20px;
padding-top: 5px;
padding-bottom: 10px;
margin-top: 0px;
margin-bottom: 0px;
}

#slider-wrapper {
padding-top: 0px;
padding-bottom: 0px;
margin-top: 0px;
margin-bottom: 0px;
}


#text-3 {
margin-left: 5px;
padding-left: 5px;
margin-right: 25px;
padding-right: 25px;
}

#text-4 {
margin-left: 30px;
padding-left: 30px;
margin-right: 15px;
padding-right: 15px;
}

#text-5 {
margin-left: 25px;
padding-left:  25px;
margin-right: 0px;
padding-right: 0px;
}

#text-3, #text-4, #text-5 {
font-size: 1.1em;
}

#footer a {font-size:12px;}
#widget-footer p {font-size:12px;}

#langseldiv {
background: url("http://kokka-fashion.gr/samosbuilding/wp-content/uploads/2014/04/body-tail.gif") 0px 0px repeat white;
margin-left : 720px;
}

.grid_7.alpha.inner.suffix_1 {
    width: 280px;
    margin-left: 0px;
    margin-right: 0px;
    padding-left: 0px;
    padding-right: 20px;
}

.grid_15.alpha.omega.inner.spacer2.prefix_1 {
  width: 620px;
  padding-left: 20px;
  padding-right: 0px;
  margin-left: 0px;
  margin-right: 0px;
}

.grid_7.alpha {
   width: 195px;
   padding-left: 0px;
   padding-right: 5px;
   margin-left: 5px;
   margin-right: 0px;
}

.grid_5.omega{
width: 195px;
padding-left: 5px;
padding-right: 5px;
margin-left: 0px;
margin-right: 0px;
}

.menu-item.menu-item-type-post_type.menu-item-object-page.menu-item-1073 {
margin-left: -45px;
}

.menu-item.menu-item-type-post_type.menu-item-object-page.menu-item-1079 {
margin-left: -45px;
}

.menu-item.menu-item-type-post_type.menu-item-object-page.menu-item-1078 {
margin-left: -45px;
}

.menu-item.menu-item-type-post_type.menu-item-object-page.menu-item-1072 {
margin-left: -45px;
}

#slidefont {
font-family: 'Comfortaa';
}

#center {
text-align: center;
}

.post-meta { color: gray; }

body.single .post-meta { visibility:hidden; padding: 0px; margin: 0px; }

body.blog.cat-13-id .featured-thumbnail img {
   width: 367px;
   height: 182px;
}
body.blog .excerpt img {
   width: 367px;
   height: 182px;
}
  </style>
    
  
  
  
	<style type="text/css">
		body { background-color:#ffffff}		
		a{color:#302727}
		.button {background:#302727}		
		body {font-family:Arial, Helvetica, sans-serif; color:#000333}
		#main {font-size:12px; font-style:normal;}  
		
		.logo img {
			height: 80px;
		}
		
		#ICCS {
			position: absolute;
			top: 35px;
			right: 100px;
		}
		
		#NTUA {
			position: absolute;
			top: 35px;
			right: 0px;
		}
		
		.corr, .corrParams {
			width: 100%;
			background-color: transparent;
		}
		
		.corr tr, .corrParams tr {
			width: 100%;
		}
		
		.corr th, .corr td, .corrParams th, .corrParams td {
			text-align: left;
			padding: 10px;
			border: 1px dotted #848484;
		}
		
		.corr th, .corrParams th {
			min-width: 100px;
			max-width: 200px;
			width: 20%;
			background-color: #E0E6F8;
		}
		
		.corr td, .corrParams td {
			width: 80%;
			background-color: #F2F2F2;
		}
		
		.myp {
			font-size: 1.2em; 
			padding-left: 10px 10px 10px 25px;
			margin: 15px 25px;
		}
		
		.formtable {
			margin: 20px;
			padding: 20px;
			width: calc(100% - 20px) !important;
			border-radius: 10px !important;
			border-bottom: 2px solid #EFF2FB;
		}
		
		.formtable th {
			background-color: #EFF2FB;
			font-size: 1.2em;
			text-align: left;
			width: 100px !important; 
			padding: 4px 20px;
		}
		
		.formtable td {
			font-size: 1.2em;
			background-color: #EFF2FB;
			padding: 4px;
			width: 100px !important; 
		}
		
		.darker {
			background-color: #E0E0F8 !important;
			padding-top: 10px !important;
		}
		
		input[type="text"] {
			background-color: #FAFAFA;
			font-size: 1.2em;
			max-width: calc(100% - 20px); 
			min-width: calc(100% - 20px); 
			width: calc(100% - 20px); 
		}
		
		input[type="submit"], input[type="reset"] { 
			height: 30px;
			width: 200px;
			padding: 0px;
			font-family: Optima, Segoe, "Segoe UI", Candara, Calibri, Arial, sans-serif;;
			font-weight: bold;
			color: black;
			cursor: pointer;
			border-radius: 5px;
		}
		
		.theUL {
			margin-top: 0px;
			padding-left: 30px;
			padding-left: 30px;
			margin-bottom: 10px;
		}
		
		.theUL li {
			margin-left: 30px;
			padding-left: 20px;
			font-size: 1.2em;
		}
		
		.titleH1 {
			padding-left: 23px;
			font-weight: normal;
			font-size: 1.5em;
		}
		
		.myDiv {
            margin: 20px;
            padding: 20px;
            width: calc(100% - 80px) !important;
            border-radius: 10px !important;
            border-bottom: 2px solid #EFF2FB;
            background-color: #EFF2FB;
        }

        .myDiv h4 {
			border-radius: 5px;
			padding: 10px;
			font-family: Optima, Segoe, "Segoe UI", Candara, Calibri, Arial, sans-serif;
            font-weight: bold;
			background-color: #E0E6F8;
			color: #0B0B3B;
        }
		
		.myDiv p {
			margin: 0px;
			padding: 10px;
		}

		/*
        .myDiv div {
            display: table-cell;
        }
		*/
		
		#tablesDiv , #tablesFieldsDiv {
			border: 5px solid #E0E6F8;
			border-radius: 10px;
			width: 300px;
			height: 300px;
			overflow: auto !important;
			padding: 0px;
			display: inline-block;
		}
		
		#tablesTreeDiv , #tablesFieldsTreeDiv {
			width: 300px;
			height: 260px;
			overflow: auto !important;
			margin: 0px;
			padding: 10px 0px 0px 0px;
		}
		
		#selectedTablesDiv , #selectedTablesFieldsDiv {
			display: inline-block;
			border: 5px solid #E0E6F8;
			border-radius: 10px;
			width: 535px;
			height: 300px;
			overflow: auto !important;
			padding: 0px;
		}
		
		.myDiv h3 {
			margin: 0px;
			padding: 4px 5px 8px 5px;
			background-color: #E0E6F8;
			text-align: center;
			font-size: 0.9em;
			font-weight: bold;
			letter-spacing: 4px;
		}
		
		.myDiv table {
			margin: 10px 0px;
			width: 100%;
		}
		
		.myDiv table th {
			width: 50px;
			padding: 5px 10px;
			text-align: left;
		}
		
		.myDiv table ul {
			margin: 10px 0px;
			padding: 5px 10px;
			height: 100px;
			overflow: auto;
			background-color: white;
		}
		

		#tablesDivButton , #tablesFieldsDivButton {
			width: 270px;
			border-radius: 10px;
			background-color: #F7BE81;
			margin: 5px;
			padding: 5px 10px;
			text-align: center;
			font-size: 1.1em;
			font-weight: bold;
			cursor: pointer;
		-webkit-transition: all 0.3s ease-out;    /* Saf3.2+, Chrome */
	     -moz-transition: all 0.3s ease-out;  /* FF4+ */
	      -ms-transition: all 0.3s ease-out;  /* IE10 */
	       -o-transition: all 0.3s ease-out;  /* Opera 10.5+ */
	          transition: all 0.3s ease-out;

		}
		
		#exportTablesOntoButton, #exportTablesFieldsOntoButton {
			width: 270px;
			border-radius: 10px;
			font-family: Optima, Segoe, "Segoe UI", Candara, Calibri, Arial, sans-serif;
			font-size: 1.1em;
			letter-spacing: 1px;
			padding: 0px 10px;
			margin-left: 70px;
		}
		
		#tablesDivButton:hover , #tablesFieldsDivButton:hover, #exportTablesOntoButton:hover, #exportTablesFieldsOntoButton:hover {
			background-color: #01DF3A;
		}

	</style>
	<link href="JS/js-image-slider.css" rel="stylesheet" type="text/css" />
    <script src="JS/js-image-slider.js" type="text/javascript"></script>
</head>

<body class="home page page-id-556 page-template page-template-page-home-php">

<div id="main"><!-- this encompasses the entire Web site -->

<header id="header">
	<div class="container_24 clearfix">
		<div class="grid_24">
			<div class="logo">
				<img src="index_files/samos-building-logo1.png" alt="Mapping Ontologies" title="Mapping Ontologies">
				<img id="ICCS" src="IMG/iccs.png" alt="ICCS Logo">
				<img id="NTUA" src="IMG/ntua.png" alt="NTUA Logo">
			</div>
			<div class="clear"></div>
			<nav class="primary">
				<ul id="topnav" class="sf-menu sf-js-enabled">
					<li id="menu-item-585" class="menu-item menu-item-type-post_type menu-item-object-page current-menu-item page_item page-item-556 current_page_item menu-item-585">
						<a href="index.html">Home</a></li>
					<li id="menu-item-579" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-579">
						<a href="#1">Export DB Schema</a></li>
					<li id="menu-item-579" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-579">
						<a href="#2">Export DB Vocabularies</a></li>
					<li id="menu-item-579" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-579">
						<a href="#4">Contact Us</a></li>
				</ul>				
			</nav><!--.primary-->
			
		</div>
	</div><!--.container_24-->
</header>

<!-- 
 	
<section id="slider-wrapper">
		
    <div class="container_24 clearfix">
		<div class="grid_24" style="margin-left: 0px !important; padding-left: 0px !important;">
			
		</div>
    </div>

</section>
 
<div class="container_24 primary_content_wrap clearfix"><div class="before_content_area clearfix">	
	<div style="height: 378px;" id="text_icl-12" class="grid_6 prefix_1 suffix_1 maxheight">        
		<div class="textwidget">
			<h3 class="beForeContentArea">DB Schema to OWL</h3>
			<br>
			<p>The application produces an OWL ontology based on the Schema of Relational Database.</p>
			<p>Generally speaking: 
				<ul>
					<li>For each <b>table</b> we define an OWL class</li>
					<li>For each <b>field</b> we produce either an Object Property (foreign keys) or a Datatype Property</li>
				</ul>
			</p>
			
			<p>The algorithm based on the one published by Raji Ghawi and Nadine Cullot, in 2007, in their <a href="http://test2010le2i.u-bourgogne.fr/le2i/IMG/publications/InterDB07-Ghawi.pdf" target="_blank">work</a></p>
			
		</div>
	</div>
	<div style="height: 378px;" id="text_icl-5" class="grid_6 prefix_1 suffix_1 maxheight">        
		<div class="textwidget">
			<h3 class="beForeContentAreaGreenTab">D2R Compatible</h3>
			<br>
			<p>The (local) <b>name</b> of ontological elements produced using DB-Schema-to-OWL application are the same with those ones automatically generated using <a href="http://d2rq.org/" target="_blank">D2RQ</a> platform</p>. 
			<p>The generated ontology provides a description of elements we can use for accessing a relational database with SPARQL queries based on <a href="http://d2rq.org/d2r-server" target="_blank">D2R-Server</a> server.</p>
		</div>
	</div>
	<div style="height: 378px;" id="text_icl-6" class="grid_6 prefix_1 suffix_1 maxheight">        
		<div class="textwidget">
			<h3 class="beForeContentAreaGreenTab">Mapping Ontology</h3>
			<br>
			<p>The name of entities defined is quite close in the tables and fields used for storing data.</p>
			<p>For mapping ontological elements defined with another ontology, we can use Ontologies Alignment Tool, available at site: <a href="http://ponte.grid.ece.ntua.gr:8080/OntoMapping/" target="_blank">Go-To-OAT-site</a></p>
		</div>
	</div>
</div></div>

-->

<div class="container_24 primary_content_wrap clearfix">
	<header class="entry-header">
	
		<br>
		<p  class="titleH1">This web application enable users to retrieve an ontological representation of information.</p>
		
		<h1 id="1" class="entry-title" style="font-size: 2em !important; font-weight: bold; padding: 23px;">Export Database Schema</h1>
		
		<p class="myp">The elements included in the generated ontology depend on the definition of corresponding elements in the relational database. More precisely:</p>
		<ul class="theUL">
			<li>For each DB <b>table</b> we produce an OWL <b>class</b> with the same name.</li>
			<li>For each DB <b>field</b> we produce an OWL <b>property</b> the name of which consists of the name of class and the name of the field.</li>
		</ul>
			
		<p class="myp">In case a field is a <b>foreign key</b> we produce an <b>Object Property</b>, otherwise a <b>Datatype Property</b>.</p>
		
		<p  class="myp">The information existing in tables do <b>not</b> included in the generated ontology.</p>

		<!-- Generate ontology based on Schema of the Relational Database -->
		<div class="myDiv" style="background-color: #E6F8E0 !important;">	
			<h4>Export Database Schema to OWL</h4>
			<form action="GenerateSchemaOntology" method="get"><table class="formtable">
				<tr><td class="darker" colspan="3">Provide database connection details:</td></tr>
				<tr><th>Database URL:</th>
					<td colspan="2"><input type="text" name="dburl" id="dburlID" value="jdbc:mysql://localhost:3306/lab4db"></td>
				</tr>
				<tr><th>Username:</th>
					<td><input type="text" name="username" id="usernameID" value="root"></td>
					<td><br></td>
				</tr>
				<tr><th>Password:</th>
					<td><input type="text" name="password" id="passwordID"></td>
					<td><br></td>
				</tr>
				<tr><td class="darker"  colspan="3" >Provide Ontology Properties:</td></tr>
				<tr><th>Name:</th>
					<td><input type="text" name="ontoname" value="User DB Schema"></td>
					<td><br></td>
				</tr>
				<tr><th>URI:</th>
					<td colspan="2"><input type="text" name="ontourl" value="http://www.semanticweb.org/ontologies/dbschema/lab4db"></td>
				</tr>
				<tr><td><input type="reset" value="Reset"></td>
					<td><input type="submit" id="produceOntoID" value="Generate Ontology"></td>
					<td><br></td>
				</tr>
			</table></form>
		</div>

		<h1 id="2" class="entry-title" style="font-size: 2em !important; font-weight: bold; padding: 20px;">Export Database Vocabularies</h1>
		
        <div class="myDiv">
            <h4>Export Controlled Vocabularies from Tables to OWL</h4>
            <div id="tablesDiv">
				<h3>DATABASE</h3>
				<div id="tablesTreeDiv">
					<p>Press the following button for loading existing tables/fields from database specified above...</p>
					<div id="tablesDivButton">
						Load Tables
					</div>
					<p>Accordingly, select the appropriate fields... and press the button on your right.</p>
					<p>Their <b>distinct</b> values will be exported in an OWL ontology.</p>
				</div>
            </div>
            <div id="selectedTablesDiv">
				<h3>USER DATA</h3>
				<form action="GenerateVocabTableOntology" method="post"><table>
					<input type="hidden" name="dburl" id="dburlA" >
					<input type="hidden" name="username" id="usernameA" >
					<input type="hidden" name="password" id="passwordA">
					<input type="hidden" name="json" id="jsonA">
					<tr>
						<th>Label:</th>
						<td><input type="text" name="ontoname" value="Table(s) Value Ontology"></td>
					</tr>
					<tr>
						<th>URI:</th>
						<td><input type="text" name="ontourl" value="http://www.semanticweb.org/ontologies/db/userdb"></td>
					</tr>
					<tr>
						<th>Export:</th>
						<td><ul></ul></td>
					</tr>
					<tr>
						<td colspan="2">
							<input type="submit" id="exportTablesOntoButton" value="Generate Tables Ontology">
						</td>
					</tr>
				</table></form>
            </div>
        </div>

        <div class="myDiv">
            <h4>Export Controlled Vocabularies from Fields to OWL</h4>
            <div id="tablesFieldsDiv">
				<h3>DATABASE</h3>
				<div id="tablesFieldsTreeDiv">
					<p>Press the following button for loading existing tables/fields from database specified above...</p>
					<div id="tablesFieldsDivButton">
						Load Tables and Fields
					</div>
					<p>Accordingly, select the appropriate fields... and press the button on your right.</p>
					<p>Their <b>distinct</b> values will be exported in an OWL ontology.</p>
				</div>
            </div>
            <div id="selectedTablesFieldsDiv">
				<h3>USER DATA</h3>
                <input type="hidden" value="">
				<form action="GenerateVocabTableFieldOntology" method="post"><table>
					<input type="hidden" name="dburl" id="dburlB" >
					<input type="hidden" name="username" id="usernameB" >
					<input type="hidden" name="password" id="passwordB">
					<input type="hidden" name="json" id="jsonB">
					<tr>
						<th>Label:</th>
						<td><input type="text" name="ontoname" value="Table(s)/Field(s) Value Ontology"></td>
					</tr>
					<tr>
						<th>URI:</th>
						<td><input type="text" name="ontourl" value="http://www.semanticweb.org/ontologies/db/userdb"></td>
					</tr>
					<tr>
						<th>Export:</th>
						<td><ul></ul></td>
					</tr>
					<tr>
						<td colspan="2">
							<input type="submit" id="exportTablesFieldsOntoButton" value="Generate Tables/Fields Ontology">
						</td>
					</tr>
				</table></form>
            </div>
        </div>
	
	</header>	
</div>  

<div class="container_24 primary_content_wrap clearfix">
	<header class="entry-header">
		<h1 id="4" class="entry-title" style="font-size: 2em !important; padding-bottom: 20px;">Contact Us</h1>
		<p>In case you have any question don’t hesitate to contact us in the following <b>email(s)</b>: {chondrog, vandro, ekaranas}@mail.ntua.gr</p>
		<br>
	</header>	
</div> 
 
<footer id="footer">
	<div id="back-top-wrapper">
		<p id="back-top">
			<a href="#top"><span></span></a>
		</p>
    </div>
	<div class="container_24 clearfix">
		<div id="copyright" class="grid_8">
			<div id="footer-text">
				<h4>DB-Schema-to-OWL © 2023 | Privacy Policy</h4>
				<p>Application developed by <br>
				<a href="http://www.iccs.gr/eng/" target="_blank">ICCS</a> / <a href="http://www.ntua.gr/index_en.html" target="_blank">NTUA</a> within European FP7 Project <a href="http://www.ponte-project.eu/" target="_blank">PONTE</a>.
			</div>
		</div>
		<div id="widget-footer" class="clearfix">
			<div id="text_icl-11" class="grid_8">
				<h4>Communication Details</h4>        
				<div class="textwidget">
					E-mail: {chondrog, ekaranas}@mail.ntua.gr <br>
					Address: 9 Heroon Politechniou Str, 15773, Athens
				</div>
			</div>
			<div id="social_networks-3" class="grid_8">
				<h4>Social Networks</h4>		
				<ul class="social-networks">
					<li> 
						<a rel="external" title="twitter" href="https://twitter.com/">
						    <img src="index_files/twitter.png" alt=""> Twitter </a>
					</li>
					<li class="nomargin">
						<a rel="external" title="facebook" href="https://www.facebook.com/">
						    <img src="index_files/facebook.png" alt=""> Facebook </a>
					</li>
					<li>
						<a rel="external" title="linkedin" href="https://gr.linkedin.com/">
							<img src="index_files/linkedin.png" alt=""> Linkedin </a>
					</li>
					<li class="nomargin">
						<a rel="external" title="linkedin" href="http://www.researchgate.net/">
							<img src="index_files/researchgate.png" alt=""> Research Gate </a>
					</li>    
				</ul>
			</div>		  
		</div>
	</div><!--.container-->
</footer>
	
</div><!--#main-->
<script type="text/javascript" src="index_files/comment-reply.js"></script>
<script type="text/javascript" src="index_files/jquery_002.js"></script>
<script type="text/javascript">
/* <![CDATA[ */
var _wpcf7 = {"loaderUrl":"http:\/\/samosbuilding.gr\/newsamos\/wp-content\/plugins\/contact-form-7\/images\/ajax-loader.gif","sending":"Sending ..."};
/* ]]> */
</script>
<script type="text/javascript" src="index_files/scripts.js"></script>
<script type="text/javascript">
/* <![CDATA[ */
var icl_vars = {"current_language":"el","icl_home":"http:\/\/samosbuilding.gr\/"};
/* ]]> */
</script>
<script type="text/javascript" src="index_files/sitepress.js"></script>
 <!-- this is used by many Wordpress features and for plugins to work properly -->
<script type="text/javascript"> Cufon.now(); </script>

</body></html>